import { Controller, Get, Post, Req, Query, Headers, Param, Body, HttpException, HttpStatus, ForbiddenException } from '@nestjs/common';
import { CreatePostDto } from './post.dto';
import { DemoService } from './providers/demo/demo.service'


@Controller('posts')
export class PostsController {

    constructor(private readonly demoService: DemoService) {}

    @Get()
    index() {
        return this.demoService.findAll();
    }

    @Get(':id')
    show(@Param() params) {
        return {
            title: `Post ${params.id}`
        }
    }

    @Post()
    store(@Body() post: CreatePostDto) {
        // throw new HttpException('没有权限！', HttpStatus.FORBIDDEN)
        throw new ForbiddenException('没有权限！')
        // this.demoService.create(post);
    }
}
